## com.sun.jna.platform.win32
Class Sspi.SECURITY_INTEGER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SECURITY_INTEGER

Direct Known Subclasses:
  Sspi.TimeStamp

Enclosing class:
  Sspi

    public static class Sspi.SECURITY_INTEGER

extends com.sun.jna.Structure

A security integer.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` `dwLower`
`com.sun.jna.NativeLong` `dwUpper`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SECURITY_INTEGER()` An security integer of 0.

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwLower

    public com.sun.jna.NativeLong dwLower

### dwUpper

    public com.sun.jna.NativeLong dwUpper

Constructor Detail

### Sspi.SECURITY_INTEGER

    public Sspi.SECURITY_INTEGER()

  An security integer of 0.